import { DefineApiModule } from '@/api/api'
import { Statistics } from '@/api/api-types/statistics'

const StatisticsApi: DefineApiModule<Statistics.ApiMap> = {
  /** 质量统计-自查一致性分析 */
  selfCheckAnalysis: {
    url: '/api/statistic/check/analysis',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 质量统计-自查一致性分析-离差列表 */
  selfCheckAnalysisDiffList: {
    url: '/api/statistic/check/analysis/diff/list',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 质量统计-自查数据详情 */
  getSelfCheckDataDetail: {
    url: '/api/self/check/list',
  },
  /** 质量统计-自查数据打分 */
  markSelfCheckData: '/api/self/check/mark',
  /** 质量统计-自查数据打回 */
  rejectSelfCheckData: '/api/self/check/reject',
  /** 质量统计-抽查情况统计 */
  statisticCheckOverview: '/api/statistic/check/overview',
  /** 质量统计-主观题校验 */
  getSubjectiveCheckList: '/api/subjective/check/page',
  /** 质量统计-主观题校验打分 */
  subjectiveCheckMark: '/api/subjective/check/mark',
  /** 质量统计-主观题校验确认 */
  subjectiveCheckConfirm: '/api/subjective/check/confirm',
  /** 决策分析-评卷进度统计（整体） */
  getMarkProgress: '/api/statistic/marking/progress',
  /** 决策分析-评卷进度统计（按小组） */
  getMarkProgressByGroup: '/api/statistic/marking/progress/by/group',
  /** 决策分析-评卷进度统计（按评卷员） */
  getMarkProgressByMarker: '/api/statistic/marking/progress/by/marker',
  /** 决策分析-评卷进度统计导出（按评卷员） */
  exportMarkProgressByMarker: {
    url: '/api/statistic/marking/progress/by/marker/export',
    download: true,
    timeout: 0,
  },
  /** 质量统计-科目进度收尾 */
  subjectProgressEnd: '/api/statistic/marking/progress/ending',
  /** 质量统计-收尾检查-评卷员未评卷列表（分页） */
  unMarkPaperList: '/api/statistic/marking/progress/check/for/unmark/list',
  unMarkBackPaperList: '/api/statistic/marking/progress/check/for/repulse/unmark/list',
  /** 质量统计-收尾检查-未处理雷同卷列表 */
  unProcessSimilarList: '/api/statistic/marking/progress/check/for/same/paper/list',
  /** 质量统计-收尾检查-未处理问题卷列表 */
  unProcessProblemList: '/api/statistic/marking/progress/check/for/problem/paper/list',
  /** 任务指定新评卷员 */
  // changeTaskMarker: '/api/mark/task/assign',
  changeTaskMarker: '/api/mark/package/assign',
  changeBackTaskMarker: '/api/mark/task/assign',
  /** 决策分析-小组监控 */
  getGroupMonitor: {
    url: '/api/statistic/monitor/for/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-小组监控-抽查详情 */
  getGroupMonitorDetail: {
    url: '/api/mark/task/check/detail',
  },
  /** 决策分析-小组监控-抽查详情-给分 */
  markMonitorDetailTask: {
    url: '/api/mark/task/check/detail/mark',
  },
  /** 决策分析-监控统计（整体） */
  getStatistics: {
    url: '/api/statistic/monitor/list',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计（按小组） */
  getStatisticsByGroup: {
    url: '/api/statistic/monitor/list/by/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计导出（按小组） */
  exportStatisticsByGroup: {
    url: '/api/statistic/monitor/list/by/group/export',
    download: true,
    timeout: 0,
  },

  /** 培训监控 */
  getTrainingMonitor: '/api/train/monitor/list',
  /**培训监控 - 培训卷调卷详情 */
  getTrainingMonitorDetail: {
    url: '/api/train/monitor/sample/detail',
  },
  /**培训监控 - 强制考核卷调卷详情 */
  getAssessMonitorDetail: '/api/train/monitor/force/detail',
  /**培训监控 - 强制考核卷审核 */
  putAssessMonitorPass: '/api/train/monitor/force/audit',
  /**培训监控 - 培训卷审核 */
  putSampleMonitorPass: '/api/train/monitor/sample/audit',
  /** 个人统计(评卷员) */
  getPersonalStatistic: {
    url: '/api/statistic/personal/result',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 提取阅卷明细 */
  getPersonalMarkDetail: '/api/mark/task/detail',
  /** 提取阅卷明细 - 给分 */
  updatePersonalMarkDetailScore: '/api/mark/task/detail/mark',
  /** 系统抽查卷 */
  getSystemSpotList: '/api/system/check/page',
  /** 获取档次列表option */
  getSystemCheckLevel: '/api/system/check/level',
  /** 系统抽查卷打分 */
  markSystemSpotPaper: '/api/system/check/mark',
  /** 系统抽查卷打回 */
  rejectSystemSpotPaper: '/api/system/check/reject',
  /** 系统抽查卷浏览 */
  viewSystemSpotPaper: '/api/system/check/view',
  /** 决策分析-监控统计-客观题分数分布（按小组） */
  getStatisticObjectiveByGroup: {
    url: '/api/statistic/question/objective/score/distributed/for/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计-客观题分数分布（按评卷员） */
  getStatisticObjectiveByMarker: {
    url: '/api/statistic/question/objective/score/distributed/for/marker',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计-主观题分数分布（按小组） */
  getStatisticSubjectiveByGroup: {
    url: '/api/statistic/question/subjective/score/distributed/for/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计-主观题分数分布（按评卷员） */
  getStatisticSubjectiveByMarker: {
    url: '/api/statistic/question/subjective/score/distributed/for/marker',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  getProvinceProcess: {
    url: '/api/statistic/marking/progress/by/province/export',
    download: true,
    timeout: 0,
  },
  getCompareList: {
    url: '/api/statistic/marker/compare/list',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  getDayList: '/api/statistic/mark/day/list',
  getRecoveryTaskCount: '/api/statistic/marking/progress/check/for/allow/mark/count',
}

export default StatisticsApi
