import { ref, computed, watch } from 'vue'
import useFetch from './useFetch'
import { getTodayByDay } from '@/utils/common'

const useDayOptions = (dataModel: any) => {
  const dayList = ref([])
  const today = getTodayByDay()
  function fetchDayList() {
    if (dataModel.subject && dataModel.question) {
      useFetch('getDayList')
        .fetch({ subjectCode: dataModel.subject, questionMainNumber: dataModel.question })
        .then((res: any) => {
          dayList.value = res
            .filter((item: any) => item.key != today)
            .map((item: any) => ({ label: item.value, value: item.key }))
        })
    }
  }
  watch([() => dataModel.subject, () => dataModel.question], (a: any, b: any) => {
    fetchDayList()
  })
  fetchDayList()

  const dayOptions = computed(() => [{ label: '当天', value: today }, { label: '全部', value: '' }, ...dayList.value])
  return {
    dayOptions,
  }
}
export default useDayOptions
